millesima_project_manager_accueil:
    path:     /compte
    defaults: { _controller: MillesimaActionsBundle:Default:accueilChefProjet}

millesima_project_manager_accueil_edit:
    path:     /compte/{id}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:affecterDossier}

millesima_project_manager_affect_dossier:
    path:     /compte/{id}/dossier/{idD}/{idU}/affectation
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:affectationDossier}

####################

millesima_project_manager_profile:
    path:     /profile
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:showProfile}

millesima_project_manager_profile_edit:
    path:     /profile/edit
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:editProfile}

millesima_project_manager_profile_coordonne_edit:
    path:     /profile/coordonne/edit
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:editCoordonne}

millesima_project_manager_profile_password_edit:
    path:     /profile/password/edit
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:editPassword}

####################

millesima_project_manager_dossier_encours:
    path:     /demande/encours
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierListeEncours}

millesima_project_manager_dossier_confirmer:
    path:     /demande/confirmees
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierListeConfirmer}

millesima_project_manager_dossier_valider:
    path:     /demande/validees
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierListeValider}

millesima_project_manager_dossier_cloturer:
    path:     /demande/clotures
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierListeCloturer}

millesima_project_manager_dossier:
    path:     /demande
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierListe}

####################

millesima_project_manager_demande_cloturer:
    path:     /demande/{idD}/cloturer
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierCloturer}
    options:
         expose: true

millesima_project_manager_demande_refresh:
    path:     /demande/{idD}/refresh
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierRefresh}
    options:
         expose: true

millesima_project_manager_demande_annuler:
    path:     /demande/{idD}/annuler
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierAnnuler}
    options:
        expose: true

millesima_project_manager_demande_comfirmer:
    path:     /demande/{idD}/comfirmer/{dateOption}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierConfirmer}
    options:
         expose: true

millesima_project_manager_demande_regretter:
    path:     /demande/{idD}/regretter
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierRegretter}
    options:
          expose: true

millesima_project_manager_demande_valider:
    path:     /demande/{idD}/{str_num}/{str_date}/valider
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierValider}
    options:
          expose: true

millesima_project_manager_demande_revalider:
    path:     /demande/{idD}/valider
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:dossierReValider}
    options:
         expose: true

millesima_project_manager_demande_edit:
    path:      /demande/{id}/edit
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:editDemande}

################### Ajax requests #######################

millesima_project_manager_ajax_get_by_region_and_type:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getFournisseursByRegionAndType}
    options:
        expose: true

millesima_project_manager_ajax_get_by_region_and_type_for_edit:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getFournisseursByRegionAndTypeEdit}
    options:
        expose: true

millesima_project_manager_ajax_get_by_region_and_type_for_show:
    path:     /demande/get_by_region_and_type/{idRegion}/{idType}/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getFournisseursByRegionAndTypeEditShow}
    options:
        expose: true

millesima_project_manager_ajax_get_articles_by_fournisseur:
    path:     /demande/get_by_fournisseurs/{idFournisseur}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getArticlesByFournisseur}
    options:
        expose: true

millesima_project_manager_ajax_get_articles_by_fournisseur_for_edit:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/edit
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getArticlesByFournisseurEdit}
    options:
        expose: true

millesima_project_manager_ajax_get_articles_by_fournisseur_for_show:
    path:     /demande/get_by_fournisseurs/{idFournisseur}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getArticlesByFournisseurEditShow}
    options:
        expose: true

millesima_project_manager_ajax_get_comptes_facturation_by_account:
    path:     /demande/get_by_compte/{idAccount}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getCompteFacturationByCompte}
    options:
        expose: true

millesima_project_manager_ajax_get_comptes_facturation_by_account_for_edit:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getCompteFacturationByCompteEdit}
    options:
        expose: true

millesima_project_manager_ajax_get_comptes_facturation_by_account_for_show:
    path:     /demande/get_by_compte/{idAccount}/{idDemande}/show
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getCompteFacturationByCompteEditShow}
    options:
        expose: true

millesima_project_manager_ajax_get_client:
    path:     /demande/get_client
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getClient}
    options:
        expose: true

millesima_project_manager_ajax_verfier_compatibilite_article:
    path:     /demande/article/verification/{articles}/{type}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getVerificationArticle}
    options:
        expose: true


millesima_project_manager_ajax_get_bon_commande:
    path:     /demande/get_bon_commande/{idD}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:getBonCommande}
    options:
        expose: true

millesima_project_manager_ajax_valider_bon_commande:
    path:     /demande/valider_bon_commande/{id}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:validerBonCommande}
    options:
        expose: true

millesima_project_manager_ajax_annuler_bon_commande:
    path:     /demande/annluer_bon_commande/{id}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:annulerBonCommande}
    options:
        expose: true

millesima_project_manager_ajax_add_bon_commande:
    path:     /demande/add_bon_commande/{idD}
    defaults: { _controller: MillesimaActionsBundle:ProjectManager:addBonCommande}
    options:
        expose: true